package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Un objeto de tipo ItemEntradaMercanciaDTO representa cada uno de los posibles registros detalle para notificar Entrada de Mercancia en SAP
 * Este objeto pertenece al ámbito DDA.
 */
public class ItemEntradaMercanciaDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String centro;
	private String movimiento;
	private String cantidad;
	private String numeroPO;
	private String posicionRef;
	private String indicadorMto;
	
	public String getCentro() {
		return centro;
	}

	public void setCentro(String centro) {
		this.centro = centro;
	}

	public String getMovimiento() {
		return movimiento;
	}

	public void setMovimiento(String movimiento) {
		this.movimiento = movimiento;
	}

	public String getCantidad() {
		return cantidad;
	}

	public void setCantidad(String cantidad) {
		this.cantidad = cantidad;
	}

	public String getNumeroPO() {
		return numeroPO;
	}

	public void setNumeroPO(String numeroPO) {
		this.numeroPO = numeroPO;
	}

	public String getPosicionRef() {
		return posicionRef;
	}

	public void setPosicionRef(String posicionRef) {
		this.posicionRef = posicionRef;
	}

	public String getIndicadorMto() {
		return indicadorMto;
	}

	public void setIndicadorMto(String indicadorMto) {
		this.indicadorMto = indicadorMto;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" centro: _" + this.getCentro() + "_" + NEW_LINE);
		result.append(" movimiento: _" + this.getMovimiento() + "_" + NEW_LINE);
		result.append(" cantidad: _" + this.getCantidad() + "_" + NEW_LINE);
		result.append(" numeroPO: _" + this.getNumeroPO() + "_" + NEW_LINE);
		result.append(" posicionRef: _" + this.getPosicionRef() + "_" + NEW_LINE);
		result.append(" indicadorMto: _" + this.getIndicadorMto() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
